Bug 36146 - GTK: AX: implement press in DRT
Summary: GTK: AX: implement press in DRT
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 25678
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-15 16:49 PDT by chris fleizach
Modified: 2010-11-30 14:07 PST (History)
1 user (show)

See Also:


Attachments
Patch proposal (3.57 KB, patch)
2010-11-29 08:22 PST, Mario Sanchez Prada
xan.lopez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2010-03-15 16:49:23 PDT
DRT needs to be updated to correctly implement the press action so that
accessibility/label-element-press.html can be uncommented in the skip list and run
Comment 1 Mario Sanchez Prada 2010-11-29 08:22:36 PST
Created attachment 75027 [details]
Patch proposal

Attaching -really simple- patch proposal: just delegate on the AtkAction interface's do_action() method.
Comment 2 Mario Sanchez Prada 2010-11-29 08:25:36 PST
Marked as dependant on bug 25678 as current patch actualy needs the (currently r+) patch there to be applied first to work fine. However, that patch can't be applied yet due to bug 50062, so we need to wait for that one to be fixed, and therefore 25678 as well, before actually integrating this one.
Comment 3 Mario Sanchez Prada 2010-11-30 14:07:49 PST
Committed r72963: <http://trac.webkit.org/changeset/72963>